# Interface ObjectHelperControllers

interface ObjectHelperControllers {
boundingBoxController?: BoundingBoxController<Object3D>;
moveController?: MoveController<MoveHelperAbstract<Object3D>>;
rotateController?: RotateController<RotateHelperAbstract<Object3D>>;
}

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:106

##### Index

### Properties

boundingBoxController?
moveController?
rotateController?

## Properties

### `Optional` boundingBoxController

boundingBoxController?: BoundingBoxController<Object3D>

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:109

### `Optional` moveController

moveController?: MoveController<MoveHelperAbstract<Object3D>>

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:107

### `Optional` rotateController

rotateController?: RotateController<RotateHelperAbstract<Object3D>>

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:108